Bug 481792 - Thunderbird crashes when compacting folders
Thunderbird crashes when compacting folders
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgnome (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 11:57 EST by Nigel Horne
Modified: 2018-04-11 10:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:42:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
When thunderbird crashes it says to attach this file to the bug report, so that's what I'm doing (505.80 KB, text/plain)
2009-01-27 11:57 EST, Nigel Horne
no flags Details
Core file (908.00 KB, application/x-coredump)
2009-01-27 11:58 EST, Nigel Horne
no flags Details

  None (edit)
Description Nigel Horne 2009-01-27 11:57:53 EST
Created attachment 330113 [details]
When thunderbird crashes it says to attach this file to the bug report, so that's what I'm doing

Description of problem:
Thunderbird crashes when compacting folders


Version-Release number of selected component (if applicable):
thunderbird-2.0.0.19-1.fc10.i386

How reproducible:
100%

Steps to Reproduce:
1. start thunderbird
2. delete an email
3. click "yes" to the popup "Do you wish to compact all local and offline folders to save disc space"
  
Actual results:
Crashes

Expected results:
Folder should "compact"

Additional info:
Comment 1 Nigel Horne 2009-01-27 11:58:30 EST
Created attachment 330114 [details]
Core file
Comment 2 Matěj Cepl 2009-01-27 19:19:09 EST
Actually, this is not a correct component for the core dump which you have attached.

Core was generated by `/usr/bin/gnome-open http://www.brunelbrass.co.uk/HarrogateBeforeAndAfterGallery'.
Program terminated with signal 11, Segmentation fault.
[New process 14855]
#0  g_mount_spec_canonicalize_path (path=0x0) at gmountspec.c:481
481	  if (*path != '/')
(gdb) thread apply all backtrace

Thread 1 (process 14855):
#0  g_mount_spec_canonicalize_path (path=0x0) at gmountspec.c:481
#1  0x00296063 in g_daemon_file_new (mount_spec=0x89c6658, path=0x0)
    at gdaemonfile.c:99
#2  0x00293316 in g_daemon_vfs_get_file_for_uri (vfs=0x89ccf20, 
    uri=0xbf82bef4 "http://www.brunelbrass.co.uk/HarrogateBeforeAndAfterGallery/MP3_MEDIA_TYPE%00.mp3") at gdaemonvfs.c:431
#3  0x00da6190 in IA__g_vfs_get_file_for_uri (vfs=0x89ccf20, 
    uri=0xbf82bef4 "http://www.brunelbrass.co.uk/HarrogateBeforeAndAfterGallery/MP3_MEDIA_TYPE%00.mp3") at gvfs.c:123
#4  0x00d8816f in IA__g_file_new_for_uri (
    uri=0xbf82bef4 "http://www.brunelbrass.co.uk/HarrogateBeforeAndAfterGallery/MP3_MEDIA_TYPE%00.mp3") at gfile.c:4863
#5  0x080488e6 in main (argc=2, argv=0xbf82b524) at gnome-open.c:31
(gdb)
Comment 3 Bug Zapper 2009-11-18 05:53:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:42:41 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.